<?php

$GLOBALS['TL_DCA']['tl_wettbewerb'] = [
    'config' => [
        'dataContainer' => 'Table',
        'sql' => [
            'keys' => [
                'id' => 'primary',
            ],
        ],
        'ctable' => ['tl_wettbewerb'],
        'onload_callback' => ['Dud\\WettbewerbBundle\\DCA\\WettbewerbCallbacks::setBackendModule'],
    ],
    'list' => [
        'sorting' => [
            'mode' => 1,
            'fields' => ['id'],
            'headerFields' => ['id'],
            'panelLayout' => 'search, limit',
            'child_record_callback' => ['Dud\\WettbewerbBundle\\DCA\\WettbewerbCallbacks', 'generateRow'],
        ],
        'global_operations' => [
            'all' => [
                'label' => &$GLOBALS['TL_LANG']['MSC']['all'],
                'href' => 'act=select',
                'class' => 'header_all',
                'attributes' => 'onclick="Backend.getScrollOffset()"'
            ],
        ],
        'operations' => [
            'edit' => [
                'label' => &$GLOBALS['TL_LANG']['tl_wettbewerb']['edit'],
                'href' => 'act=edit',
                'icon' => 'edit.gif',
            ],
            // Weitere Operationen hinzufügen, falls erforderlich
        ],
    ],
    'fields' => [
        'id' => [
            'sql' => "int(10) unsigned NOT NULL auto_increment",
        ],
        'userid' => [
            'sql' => "int(10) unsigned NOT NULL",
        ],
        'pid' => [
            'sql' => "int(10) unsigned NOT NULL",
        ],
        'tstamp' => [
            'sql' => "int(10) unsigned NOT NULL default '0'",
        ],
        'punkte' => [
            'sql' => "int(10) unsigned NOT NULL default '0'",
        ],
    ],
];
